// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// ScenarioItemUsecase is an autogenerated mock type for the ScenarioItemUsecase type
type ScenarioItemUsecase struct {
	mock.Mock
}

// BatchUpdate provides a mock function with given fields: items
func (_m *ScenarioItemUsecase) BatchUpdate(items *[]models.ScenarioItem) error {
	ret := _m.Called(items)

	var r0 error
	if rf, ok := ret.Get(0).(func(*[]models.ScenarioItem) error); ok {
		r0 = rf(items)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Create provides a mock function with given fields: item
func (_m *ScenarioItemUsecase) Create(item *models.ScenarioItem) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.ScenarioItem) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: id
func (_m *ScenarioItemUsecase) Delete(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: id
func (_m *ScenarioItemUsecase) Get(id uint) (*models.ScenarioItem, error) {
	ret := _m.Called(id)

	var r0 *models.ScenarioItem
	if rf, ok := ret.Get(0).(func(uint) *models.ScenarioItem); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.ScenarioItem)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: scenarioId
func (_m *ScenarioItemUsecase) List(scenarioId uint) (*[]models.ScenarioItem, error) {
	ret := _m.Called(scenarioId)

	var r0 *[]models.ScenarioItem
	if rf, ok := ret.Get(0).(func(uint) *[]models.ScenarioItem); ok {
		r0 = rf(scenarioId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.ScenarioItem)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(scenarioId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ScenarioItemUsecase) Update(item *models.ScenarioItem) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.ScenarioItem) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
